Summary: fwiptables firewall script.
Name: fwiptables
Version: 1.0
Release: 3
Copyright: GPL
Source: http://people.redhat.com/mgahagan/firewall/fwiptables/fwiptables-%{version}.tar.gz
URL: http://people.redhat.com/mgahagan/firewall/fwiptables
BuildRoot: %{_tmppath}/%{name}-root
Group: System Environment/Base
BuildArch: noarch

%description
Fwiptables firewall setup script by Mike Gahagan <mgahagan@redhat.com>
                                                                                
This script is provided as a free community service by the author. NIETHER
RED HAT NOR THE AUTHOR PROVIDE ANY TYPE OF WARRANTY OR TECHNICAL SUPPORT
FOR THIS SCRIPT!! Please feel free however to email me any comments, bug
reports or suggestions you might have.
                                                                                
Sets up a basic firewall ruleset using iptables. Will also
provide IP Masquerading, and transparent proxy support. This script was
developed on a Red Hat 7.2 system and should work with Red Hat Linux
7.1 or later. It should be possible to get this working on any 2.4 based
Linux distribution however only Red Hat has been tested.
                                                                                
This script uses IPTABLES to protect a small network. It is considered to
be 'medium-light' secure.
                                                                                
 
%prep
mkdir -p %{_builddir}/%{name}-%{version}
%setup -q -n %{_builddir}/%{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/sysconfig/
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
cp fwiptables %{buildroot}/etc/init.d
cp fwiptables.conf %{buildroot}/etc/sysconfig/
cp fwiptables-README* %{buildroot}/%{_docdir}/%{name}-%{version}
cp *MD5SUM %{buildroot}/%{_docdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}-%{version}/
%config /etc/sysconfig/fwiptables.conf
%attr(0755, root, root) /etc/init.d/fwiptables

%post
/sbin/chkconfig --add fwiptables
/sbin/chkconfig --level 2345 fwiptables off 

%preun
/etc/init.d/fwiptables stop 1> /dev/null
/sbin/chkconfig --del fwiptables

%changelog
* Fri Sep 05 2003 Chris Vanhoof <vanhoof@redhat.com> 1.0-3
- Removed Recursive Tarball from Source

* Fri Sep 05 2003 Chris Vanhoof <vanhoof@redhat.com> 1.0-2
- Corrected Removal of documentation from /usr/share/doc

* Thu Sep 04 2003 Chris Vanhoof <vanhoof@redhat.com> 1.0-1
- Packaged version 1.0-1
